package com.avg.zaap.crashlibrary.core;

import android.content.Context;
import android.content.Intent;

/**
 * This class serves as the default dependency factory for the {@link ServiceConnectionHelperFactory}.
 *
 * Created by marek.osvald on 17. 5. 2016.
 */
public class ServiceConnectionHelperFactory implements IServiceConnectionHelperFactory {
    @Override
    public Intent getIntent(Context context, Class clazz) {
        return new Intent(context, clazz);
    }

    @Override
    public Thread getThread(Runnable runnable) {
        return new Thread(runnable);
    }

}
